@use "../abstract/" as abs;

.social-media{

    &-list{
        list-style-type: none;
        width: 30rem;
        display: flex;
        justify-content: space-between;
        margin: 0 0 7rem;

        @include abs.respond(medium){
            width: 25rem;
            margin: 0 0 5rem;
        }

        @include abs.respond(small){
            width: 20rem;
            margin: 0 0 3rem;
        }
    }

    &-link:link,
    &-link:visited{
        font-size: 6rem;
        color: abs.$color-secondary;
        transition: all .7s;

        @include abs.respond(medium){
            font-size: 5rem;
        }

        @include abs.respond(small){
            font-size: 3rem;
        }
    }

    &-link:hover,
    &-link:active{
        color: abs.$color-primary;
    }
}